<template>

<div>

<nav class="navbare navbar navbar-expand-md navbar-dark bg-dark flex-row col-xs-8">
        <a class="navbar-brand mr-auto" href="#">
            <h2 class="hdos">SuperMarket</h2>

              <form id="form" class="form-inline my-2 my-lg-0">
                <input id="control" class="form-control mr-sm-2" type="text" placeholder="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type=""><i class="fa fa-search" aria-hidden="true"></i></button>
            </form>
        </a>
        
        <ul  class="navbar-nav flex-row mr-lg-5">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle mr-3 mr-lg-0" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fa fa-user fa-3x"></i>
                </a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                <li><a href="#"><center>Bienvenido<br>{{user}}</center></a></li>
                <li><a href="#" @click="cerrarSesion"><center>Cerarr Session</center></a></li>

                </div>
                 <li class="nav-item">

                    <cart v-bind:user="user" v-bind:rut="rut" v-bind:email="email" v-bind:telefono="telefono" v-bind:direccion="direccion" v-bind:productoventas="productoventas" v-bind:carrito="carrito">
                        
                    </cart>
                
            </li>
            </li>
        </ul>
       
    </nav>
    
    <!--SEGUNDO NAVBAR CON CATEGORIAS Y SUBCATEGORIAS-->

    <nav class="navbars navbar-expand-md navbar-light bg-light flex-row col-xs-8">
        <div id="menu">
<ul>
<li><a href="#">SuperMarket</a>
<!-- start menu desplegable -->
 <ul class="header-links-menu-container-subcategories">
 <!--<li class="listeilor"><a class="" href="#">Categorias </a>

<ul  class="header-links-menu-categories-number-two">

    <img class="imgmenu" src="https://jumbo.vteximg.com.br/arquivos/ids/174581/bg-lacteos2-min.jpg">
</ul>

 </li>-->
 <li v-for="categoria in categorias"  class="listeilor"><a class="" href="#">{{categoria.nombre}}</a></li>
 </ul>

</li>
<li><a href="#">Ofertas</a></li>
<li><a href="#">Tecnologia</a></li>
<li><a href="#">Hogar</a></li>
<li><a href="#">Mascotas</a></li>
<li><a href="#">deportes</a></li>
<li><a href="#">Librerias</a></li>
<li><a href="#">Jugueeteria</a></li>
<li><a href="#">Mundo Bebe</a></li>
</ul>
</div>
    </nav>
    <form ref="form" action="/logout" method="post">
	<input type="hidden" name="_token" :value="csrf">
</form>

<producto v-bind:carrito="carrito"></producto>

 <footer id="myFooter">
        <div class="container">
            <div class="row">
                <div class="col-sm-3 myCols">
                    <h5>Get started</h5>
                    <ul>
                        <li><a href="#">Home</a></li>
                        <li><a href="#">Sign up</a></li>
                        <li><a href="#">Downloads</a></li>
                    </ul>
                </div>
                <div class="col-sm-3 myCols">
                    <h5>About us</h5>
                    <ul>
                        <li><a href="#">Company Information</a></li>
                        <li><a href="#">Contact us</a></li>
                        <li><a href="#">Reviews</a></li>
                    </ul>
                </div>
                <div class="col-sm-3 myCols">
                    <h5>Support</h5>
                    <ul>
                        <li><a href="#">FAQ</a></li>
                        <li><a href="#">Help desk</a></li>
                        <li><a href="#">Forums</a></li>
                    </ul>
                </div>
                <div class="col-sm-3 myCols">
                    <h5>Legal</h5>
                    <ul>
                        <li><a href="#">Terms of Service</a></li>
                        <li><a href="#">Terms of Use</a></li>
                        <li><a href="#">Privacy Policy</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="social-networks">
            <a href="#" class="twitter"><i class="fa fa-twitter"></i></a>
            <a href="#" class="facebook"><i class="fa fa-facebook-official"></i></a>
            <a href="#" class="google"><i class="fa fa-google-plus"></i></a>
        </div>
        <div class="footer-copyright">
            <p>© 2016 Copyright SuperMarket </p>
        </div>
    </footer>
</div>
</template>

<script>
    export default {
    	props: ['user','email','rut','telefono','direccion'],
         mounted(){
            let datos = JSON.parse(localStorage.getItem('cart'));
            if(datos===null){
                this.carrito=[];
            }else{
                this.carrito=datos.carrito;
            };
            this.fetchdata();
        },
        computed:{
     searchproductos(){
    
     if(this.Search){
      let resultados = this.categoria.filter(c => 
        c.nombre.toLowerCase().startsWith(this.Search));
      return [...new Set(resultados)];
     }else{
        return this.categorias;
      }
    }
},
		data() {
			return {
				csrf: document.head.querySelector('meta[name="csrf-token"]').getAttribute('content'),
				actual: 'principal',
		      carrito:[],
              categorias:[],
              stocks:[],
              marcas:[],
              productoventas:[],

            }
		},
  	methods: {
			isShow(nombreContenedor) { /* verifica si se muestra contenido (cualquiera) */
				return this.actual == nombreContenedor;
			},
			cambiarContenedor(contenedor) { /* cambia el contenedor para mostrar*/
				this.actual = contenedor;
			},
			cerrarSesion() {
				this.$refs.form.submit();
              return localStorage.removeItem('cart');
			},
            localdata:function(){
      let names= JSON.stringify({ carrito: this.carrito })
      localStorage.setItem('cart',names)
             },
             fetchdata(){
        const self = this;
        axios.get('api/categorias').then(function(response){
          self.categorias = response.data.map(function (cat) {
             return cat;
          });
        })
      },
		},
    }

</script>

<style scoped>
.navbar-expand-md .navbar-nav .dropdown-menu {
    position: absolute !important;
}
.hdos{
    display: inline-block;
}
#form{
    display: inline-block;
    }
    #control{
        width: 328%;
    
    }
    .navbare{
        height: 100px;
    }
.navbars{
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    height: 50px;
}
@media screen and (max-width:640px) {
    .navbar-expand-md .navbar-nav .dropdown-menu {
    position: absolute !important;

}

#form{
    display: inline-block;
    }
    #control{
        width: 98%;
        height: 25px;
    }
    .navbare{
        height: 110px;
         width:  429px;
    }
.navbars{
    position: relative;
    height: 100px;
    font-size: 182px;
    
    display: inline-block;
    width:  429px;
}
.hdos{
    display: block;
}
}

</style>